<!DOCTYPE html>
<html>
	<head>
		<title>Wishlist</title>
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
		<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
		<link rel="preconnect" href="https://fonts.gstatic.com">
		<link href="https://fonts.googleapis.com/css2?family=Crimson+Text&display=swap" rel="stylesheet">
		<link rel="stylesheet" href="../css/styles.css">
	</head>
	<body>
			<nav class="navbar sticky-top navbar-expand-lg navbar-dark bg-secondary">
			<a class="navbar-brand" href="#">
				<img src="../computer-science.png">
			</a>
			<a class="navbar-brand" href="index.html">CSBooks</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarSupportedContent">
				<ul class="navbar-nav mr-auto">
					<li class="nav-item">
						<a class="nav-link" href="books.html">Books</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" href="genres.html">Genres</a>
					</li>
				</ul>
				<ul class="navbar-nav ml-auto">
					<li class= "nav-item" id="login-button">
						<a class="nav-link" href="login.html">Login</a>
					</li>
					<li class="nav-item" id="book-review" hidden>
						<a class="nav-link" href="book-reviews.html">Book Reviews</a>
					</li>
					<li class="nav-item" id="wishlist" hidden>
						<a class="nav-link" href="wishlist.html">Wishlist</a>
					</li>
					<li class="nav-item user-feature" id="user-account" hidden>
						<a class="nav-link" href="user-account.html">Account</a>
					</li>
					<li class="nav-item" id="logout-button" hidden>
						<a class="nav-link" href="index.html">Logout</a>
					</li>
				</ul>
			</div>
		</nav>
		<h1 class="page-heading">Your Book Wishlist</h1>
		<div class="center-button">
			<button class="btn btn-outline-secondary search-button" id="book-review-add-button" data-toggle="modal" data-target="#add-review-modal" type="submit">Add Book To Wishlist</button>
			<button class="btn btn-outline-secondary search-button" id="book-review-has-read-button" data-toggle="modal" data-target="#has-read-modal" type="submit">Mark as Read</button>
		</div>
		<div id="add-review-modal" class="modal fade">
    		<div class="modal-dialog" role="document">
        		<div class="modal-content">
            		<div class="modal-header">
                		<h1 class="modal-title">Add New Book to Wishlist</h1>
            		</div>
            	<div class="modal-body">
                	<form role="form" id="add-new-wishlist-form">
                    	<div class="form-group">
                        	<label class="control-label">Title of Book</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-title" name="book" placeholder="Book Title">
                        	</div>
                    	</div>
                    	<br>
                    	<div class="form-group">
                        	<div>
                            	<button type="submit" class="btn btn-secondary nav-btn"><span>Submit</span></button>
                        	</div>
                    	</div>
                    	<p id="hidden-message" hidden>There was an issue adding the book to your wishlist.</p>
                	</form>
          		</div>
        		</div><!-- /.modal-content -->
    		</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
		<div id="has-read-modal" class="modal fade">
    		<div class="modal-dialog" role="document">
        		<div class="modal-content">
            		<div class="modal-header">
                		<h1 class="modal-title">Mark Book as Read</h1>
            		</div>
            	<div class="modal-body">
                	<form role="form" id="has-read-wishlist-form">
                    	<div class="form-group">
                        	<label class="control-label">Title of Book</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="book-title-has-read" name="book" placeholder="Book Title">
                        	</div>
                    	</div>
                    	<br>
                    	<div class="form-group">
                        	<div>
                            	<button type="submit" class="btn btn-secondary nav-btn"><span>Submit</span></button>
                        	</div>
                    	</div>
                    	<p id="hidden-message-has-read" hidden>There was an issue marking this book as read</p>
                	</form>
          		</div>
        		</div><!-- /.modal-content -->
    		</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
		<div class="wishlist-items row justify-content-center">
			<div class="col-auto">
				<table id="wishlist-table" class="table table-responsive" hidden>
					<thead>
						<tr>
							<th scope="col">Has Read?</th>
							<th scope="col">Title</th>
						</tr>
					</thead>
					<tbody id="table-body-wishlist" class="table-striped">

					</tbody>	
				</table>
			</div>
		</div>
		
		<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
		<script src="../scripts/server-requests.js"></script>
		<script src="../scripts/nav-items-user.js"></script>
		<script src="../scripts/wishlist-requests.js"></script>
	</body>
</html>